# __gnu_profile::__object_info_base Class Reference

Base class for a line in the object table. More...

Inheritance diagram for __gnu_profile::__object_info_base:
[legend]

List of all members.

## Public Member Functions

- __object_info_base (__stack_t __stack)
- __object_info_base (const __object_info_base &o)
- bool __is_valid () const
- __stack_t __stack () const
- virtual void __write (FILE *f) const =0

## Protected Attributes

- __stack_t _M_stack
- bool _M_valid

## Detailed Description

Base class for a line in the object table.

Definition at line 130 of file profiler_node.h.

The documentation for this class was generated from the following file:

- profiler_node.h